# SplDoublyLinkedList::add

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

SplDoublyLinkedList::add — Add/insert a new value at the specified index

### Beschreibung

public SplDoublyLinkedList::add(int `$index`, mixed `$value`): void

Insert the value `value` at the specified `index`, shuffling the previous value at that index (and all subsequent values) up through the list.

### Parameter-Liste

`index`

  The index where the new value is to be inserted.

`value`

  The new value for the `index`.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Fehler/Exceptions

Throws OutOfRangeException when `index` is out of bounds or when `index` cannot be parsed as an integer.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open